package com.mortals.xhx.module.check.model;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.check.model.CheckOtherRecordEntity;
/**
 * 其它绩效核查信息查询对象
 *
 * @author zxfei
 * @date 2023-07-27
 */
public class CheckOtherRecordQuery extends CheckOtherRecordEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 记录ID */
    private Long recordIdStart;

    /** 结束 记录ID */
    private Long recordIdEnd;

    /** 增加 记录ID */
    private Long recordIdIncrement;

    /** 记录ID列表 */
    private List <Long> recordIdList;

    /** 记录ID排除列表 */
    private List <Long> recordIdNotList;

    /** 开始 员工ID */
    private Long staffIdStart;

    /** 结束 员工ID */
    private Long staffIdEnd;

    /** 增加 员工ID */
    private Long staffIdIncrement;

    /** 员工ID列表 */
    private List <Long> staffIdList;

    /** 员工ID排除列表 */
    private List <Long> staffIdNotList;

    /** 员工姓名 */
    private List<String> staffNameList;

    /** 员工姓名排除列表 */
    private List <String> staffNameNotList;
    /** 工号 */
    private List<String> workNumList;

    /** 工号排除列表 */
    private List <String> workNumNotList;
    /** 开始 所属部门 */
    private Long deptIdStart;

    /** 结束 所属部门 */
    private Long deptIdEnd;

    /** 增加 所属部门 */
    private Long deptIdIncrement;

    /** 所属部门列表 */
    private List <Long> deptIdList;

    /** 所属部门排除列表 */
    private List <Long> deptIdNotList;

    /** 所属部门名称 */
    private List<String> deptNameList;

    /** 所属部门名称排除列表 */
    private List <String> deptNameNotList;
    /** 窗口编号 */
    private List<String> windowNumList;

    /** 窗口编号排除列表 */
    private List <String> windowNumNotList;
    /** 开始 违规类型(1.工作纪律) */
    private Integer irregularOtherTypeStart;

    /** 结束 违规类型(1.工作纪律) */
    private Integer irregularOtherTypeEnd;

    /** 增加 违规类型(1.工作纪律) */
    private Integer irregularOtherTypeIncrement;

    /** 违规类型(1.工作纪律)列表 */
    private List <Integer> irregularOtherTypeList;

    /** 违规类型(1.工作纪律)排除列表 */
    private List <Integer> irregularOtherTypeNotList;

    /** 开始 发生时间 */
    private String happenTimeStart;

    /** 结束 发生时间 */
    private String happenTimeEnd;

    /** 开始 持续时间，秒 */
    private Integer durationStart;

    /** 结束 持续时间，秒 */
    private Integer durationEnd;

    /** 增加 持续时间，秒 */
    private Integer durationIncrement;

    /** 持续时间，秒列表 */
    private List <Integer> durationList;

    /** 持续时间，秒排除列表 */
    private List <Integer> durationNotList;

    /** 开始 绩效规则id */
    private Long ruleIdStart;

    /** 结束 绩效规则id */
    private Long ruleIdEnd;

    /** 增加 绩效规则id */
    private Long ruleIdIncrement;

    /** 绩效规则id列表 */
    private List <Long> ruleIdList;

    /** 绩效规则id排除列表 */
    private List <Long> ruleIdNotList;

    /** 规则名称 */
    private List<String> ruleNameList;

    /** 规则名称排除列表 */
    private List <String> ruleNameNotList;
    /** 评分标准 */
    private List<String> ruleDescList;

    /** 评分标准排除列表 */
    private List <String> ruleDescNotList;
    /** 开始 扣分方式(1.系统自动,2.人工添加) */
    private Integer subMethodStart;

    /** 结束 扣分方式(1.系统自动,2.人工添加) */
    private Integer subMethodEnd;

    /** 增加 扣分方式(1.系统自动,2.人工添加) */
    private Integer subMethodIncrement;

    /** 扣分方式(1.系统自动,2.人工添加)列表 */
    private List <Integer> subMethodList;

    /** 扣分方式(1.系统自动,2.人工添加)排除列表 */
    private List <Integer> subMethodNotList;

    /** 扣分人员 */
    private List<String> deductPersonList;

    /** 扣分人员排除列表 */
    private List <String> deductPersonNotList;
    /** 开始 扣分时间 */
    private String deductTimeStart;

    /** 结束 扣分时间 */
    private String deductTimeEnd;

    /** 开始 扣分或增加分值 */
    private BigDecimal scoreStart;

    /** 结束 扣分或增加分值 */
    private BigDecimal scoreEnd;

    /** 增加 扣分或增加分值 */
    private BigDecimal scoreIncrement;

    /** 扣分或增加分值列表 */
    private List <BigDecimal> scoreList;

    /** 扣分或增加分值排除列表 */
    private List <BigDecimal> scoreNotList;

    /** 核查人员 */
    private List<String> checkPersonList;

    /** 核查人员排除列表 */
    private List <String> checkPersonNotList;
    /** 开始 核查时间 */
    private String checkTimeStart;

    /** 结束 核查时间 */
    private String checkTimeEnd;

    /** 核查说明 */
    private List<String> checkDescList;

    /** 核查说明排除列表 */
    private List <String> checkDescNotList;
    /** 核查结果 */
    private List<String> checkResultList;

    /** 核查结果排除列表 */
    private List <String> checkResultNotList;
    /** 开始 处理状态(1.未处理,2.已处理) */
    private Integer checkStatusStart;

    /** 结束 处理状态(1.未处理,2.已处理) */
    private Integer checkStatusEnd;

    /** 增加 处理状态(1.未处理,2.已处理) */
    private Integer checkStatusIncrement;

    /** 处理状态(1.未处理,2.已处理)列表 */
    private List <Integer> checkStatusList;

    /** 处理状态(1.未处理,2.已处理)排除列表 */
    private List <Integer> checkStatusNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 附件名称，多个逗号分割 */
    private List<String> fileNamesList;

    /** 附件名称，多个逗号分割排除列表 */
    private List <String> fileNamesNotList;
    /** 附件下载地址，多个逗号分割 */
    private List<String> filePathsList;

    /** 附件下载地址，多个逗号分割排除列表 */
    private List <String> filePathsNotList;
    /** 开始 绩效规则分类id */
    private Long categoryIdStart;

    /** 结束 绩效规则分类id */
    private Long categoryIdEnd;

    /** 增加 绩效规则分类id */
    private Long categoryIdIncrement;

    /** 绩效规则分类id列表 */
    private List <Long> categoryIdList;

    /** 绩效规则分类id排除列表 */
    private List <Long> categoryIdNotList;

    /** 规则名称 */
    private List<String> categoryNameList;

    /** 规则名称排除列表 */
    private List <String> categoryNameNotList;
    /** 开始 增减类型(1.增加,2.扣除) */
    private Integer subAddTypeStart;

    /** 结束 增减类型(1.增加,2.扣除) */
    private Integer subAddTypeEnd;

    /** 增加 增减类型(1.增加,2.扣除) */
    private Integer subAddTypeIncrement;

    /** 增减类型(1.增加,2.扣除)列表 */
    private List <Integer> subAddTypeList;

    /** 增减类型(1.增加,2.扣除)排除列表 */
    private List <Integer> subAddTypeNotList;

    /** 开始 审核状态(1.同意,2.不同意) */
    private Integer auditStatusStart;

    /** 结束 审核状态(1.同意,2.不同意) */
    private Integer auditStatusEnd;

    /** 增加 审核状态(1.同意,2.不同意) */
    private Integer auditStatusIncrement;

    /** 审核状态(1.同意,2.不同意)列表 */
    private List <Integer> auditStatusList;

    /** 审核状态(1.同意,2.不同意)排除列表 */
    private List <Integer> auditStatusNotList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<CheckOtherRecordQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<CheckOtherRecordQuery> andConditionList;

    public CheckOtherRecordQuery(){}

    /**
     * 获取 开始 序号，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 序号，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 序号，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 记录ID
     * @return recordIdStart
     */
    public Long getRecordIdStart(){
        return this.recordIdStart;
    }

    /**
     * 设置 开始 记录ID
     * @param recordIdStart
     */
    public void setRecordIdStart(Long recordIdStart){
        this.recordIdStart = recordIdStart;
    }

    /**
     * 获取 结束 记录ID
     * @return $recordIdEnd
     */
    public Long getRecordIdEnd(){
        return this.recordIdEnd;
    }

    /**
     * 设置 结束 记录ID
     * @param recordIdEnd
     */
    public void setRecordIdEnd(Long recordIdEnd){
        this.recordIdEnd = recordIdEnd;
    }

    /**
     * 获取 增加 记录ID
     * @return recordIdIncrement
     */
    public Long getRecordIdIncrement(){
        return this.recordIdIncrement;
    }

    /**
     * 设置 增加 记录ID
     * @param recordIdIncrement
     */
    public void setRecordIdIncrement(Long recordIdIncrement){
        this.recordIdIncrement = recordIdIncrement;
    }

    /**
     * 获取 记录ID
     * @return recordIdList
     */
    public List<Long> getRecordIdList(){
        return this.recordIdList;
    }

    /**
     * 设置 记录ID
     * @param recordIdList
     */
    public void setRecordIdList(List<Long> recordIdList){
        this.recordIdList = recordIdList;
    }

    /**
     * 获取 记录ID
     * @return recordIdNotList
     */
    public List<Long> getRecordIdNotList(){
        return this.recordIdNotList;
    }

    /**
     * 设置 记录ID
     * @param recordIdNotList
     */
    public void setRecordIdNotList(List<Long> recordIdNotList){
        this.recordIdNotList = recordIdNotList;
    }


    /**
     * 获取 开始 员工ID
     * @return staffIdStart
     */
    public Long getStaffIdStart(){
        return this.staffIdStart;
    }

    /**
     * 设置 开始 员工ID
     * @param staffIdStart
     */
    public void setStaffIdStart(Long staffIdStart){
        this.staffIdStart = staffIdStart;
    }

    /**
     * 获取 结束 员工ID
     * @return $staffIdEnd
     */
    public Long getStaffIdEnd(){
        return this.staffIdEnd;
    }

    /**
     * 设置 结束 员工ID
     * @param staffIdEnd
     */
    public void setStaffIdEnd(Long staffIdEnd){
        this.staffIdEnd = staffIdEnd;
    }

    /**
     * 获取 增加 员工ID
     * @return staffIdIncrement
     */
    public Long getStaffIdIncrement(){
        return this.staffIdIncrement;
    }

    /**
     * 设置 增加 员工ID
     * @param staffIdIncrement
     */
    public void setStaffIdIncrement(Long staffIdIncrement){
        this.staffIdIncrement = staffIdIncrement;
    }

    /**
     * 获取 员工ID
     * @return staffIdList
     */
    public List<Long> getStaffIdList(){
        return this.staffIdList;
    }

    /**
     * 设置 员工ID
     * @param staffIdList
     */
    public void setStaffIdList(List<Long> staffIdList){
        this.staffIdList = staffIdList;
    }

    /**
     * 获取 员工ID
     * @return staffIdNotList
     */
    public List<Long> getStaffIdNotList(){
        return this.staffIdNotList;
    }

    /**
     * 设置 员工ID
     * @param staffIdNotList
     */
    public void setStaffIdNotList(List<Long> staffIdNotList){
        this.staffIdNotList = staffIdNotList;
    }


    /**
     * 获取 员工姓名
     * @return staffNameList
     */
    public List<String> getStaffNameList(){
        return this.staffNameList;
    }

    /**
     * 设置 员工姓名
     * @param staffNameList
     */
    public void setStaffNameList(List<String> staffNameList){
        this.staffNameList = staffNameList;
    }

    /**
     * 获取 员工姓名
     * @return staffNameNotList
     */
    public List<String> getStaffNameNotList(){
        return this.staffNameNotList;
    }

    /**
     * 设置 员工姓名
     * @param staffNameNotList
     */
    public void setStaffNameNotList(List<String> staffNameNotList){
        this.staffNameNotList = staffNameNotList;
    }

    /**
     * 获取 工号
     * @return workNumList
     */
    public List<String> getWorkNumList(){
        return this.workNumList;
    }

    /**
     * 设置 工号
     * @param workNumList
     */
    public void setWorkNumList(List<String> workNumList){
        this.workNumList = workNumList;
    }

    /**
     * 获取 工号
     * @return workNumNotList
     */
    public List<String> getWorkNumNotList(){
        return this.workNumNotList;
    }

    /**
     * 设置 工号
     * @param workNumNotList
     */
    public void setWorkNumNotList(List<String> workNumNotList){
        this.workNumNotList = workNumNotList;
    }

    /**
     * 获取 开始 所属部门
     * @return deptIdStart
     */
    public Long getDeptIdStart(){
        return this.deptIdStart;
    }

    /**
     * 设置 开始 所属部门
     * @param deptIdStart
     */
    public void setDeptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
    }

    /**
     * 获取 结束 所属部门
     * @return $deptIdEnd
     */
    public Long getDeptIdEnd(){
        return this.deptIdEnd;
    }

    /**
     * 设置 结束 所属部门
     * @param deptIdEnd
     */
    public void setDeptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
    }

    /**
     * 获取 增加 所属部门
     * @return deptIdIncrement
     */
    public Long getDeptIdIncrement(){
        return this.deptIdIncrement;
    }

    /**
     * 设置 增加 所属部门
     * @param deptIdIncrement
     */
    public void setDeptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
    }

    /**
     * 获取 所属部门
     * @return deptIdList
     */
    public List<Long> getDeptIdList(){
        return this.deptIdList;
    }

    /**
     * 设置 所属部门
     * @param deptIdList
     */
    public void setDeptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
    }

    /**
     * 获取 所属部门
     * @return deptIdNotList
     */
    public List<Long> getDeptIdNotList(){
        return this.deptIdNotList;
    }

    /**
     * 设置 所属部门
     * @param deptIdNotList
     */
    public void setDeptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
    }


    /**
     * 获取 所属部门名称
     * @return deptNameList
     */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
     * 设置 所属部门名称
     * @param deptNameList
     */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }

    /**
     * 获取 所属部门名称
     * @return deptNameNotList
     */
    public List<String> getDeptNameNotList(){
        return this.deptNameNotList;
    }

    /**
     * 设置 所属部门名称
     * @param deptNameNotList
     */
    public void setDeptNameNotList(List<String> deptNameNotList){
        this.deptNameNotList = deptNameNotList;
    }

    /**
     * 获取 窗口编号
     * @return windowNumList
     */
    public List<String> getWindowNumList(){
        return this.windowNumList;
    }

    /**
     * 设置 窗口编号
     * @param windowNumList
     */
    public void setWindowNumList(List<String> windowNumList){
        this.windowNumList = windowNumList;
    }

    /**
     * 获取 窗口编号
     * @return windowNumNotList
     */
    public List<String> getWindowNumNotList(){
        return this.windowNumNotList;
    }

    /**
     * 设置 窗口编号
     * @param windowNumNotList
     */
    public void setWindowNumNotList(List<String> windowNumNotList){
        this.windowNumNotList = windowNumNotList;
    }

    /**
     * 获取 开始 违规类型(1.工作纪律)
     * @return irregularOtherTypeStart
     */
    public Integer getIrregularOtherTypeStart(){
        return this.irregularOtherTypeStart;
    }

    /**
     * 设置 开始 违规类型(1.工作纪律)
     * @param irregularOtherTypeStart
     */
    public void setIrregularOtherTypeStart(Integer irregularOtherTypeStart){
        this.irregularOtherTypeStart = irregularOtherTypeStart;
    }

    /**
     * 获取 结束 违规类型(1.工作纪律)
     * @return $irregularOtherTypeEnd
     */
    public Integer getIrregularOtherTypeEnd(){
        return this.irregularOtherTypeEnd;
    }

    /**
     * 设置 结束 违规类型(1.工作纪律)
     * @param irregularOtherTypeEnd
     */
    public void setIrregularOtherTypeEnd(Integer irregularOtherTypeEnd){
        this.irregularOtherTypeEnd = irregularOtherTypeEnd;
    }

    /**
     * 获取 增加 违规类型(1.工作纪律)
     * @return irregularOtherTypeIncrement
     */
    public Integer getIrregularOtherTypeIncrement(){
        return this.irregularOtherTypeIncrement;
    }

    /**
     * 设置 增加 违规类型(1.工作纪律)
     * @param irregularOtherTypeIncrement
     */
    public void setIrregularOtherTypeIncrement(Integer irregularOtherTypeIncrement){
        this.irregularOtherTypeIncrement = irregularOtherTypeIncrement;
    }

    /**
     * 获取 违规类型(1.工作纪律)
     * @return irregularOtherTypeList
     */
    public List<Integer> getIrregularOtherTypeList(){
        return this.irregularOtherTypeList;
    }

    /**
     * 设置 违规类型(1.工作纪律)
     * @param irregularOtherTypeList
     */
    public void setIrregularOtherTypeList(List<Integer> irregularOtherTypeList){
        this.irregularOtherTypeList = irregularOtherTypeList;
    }

    /**
     * 获取 违规类型(1.工作纪律)
     * @return irregularOtherTypeNotList
     */
    public List<Integer> getIrregularOtherTypeNotList(){
        return this.irregularOtherTypeNotList;
    }

    /**
     * 设置 违规类型(1.工作纪律)
     * @param irregularOtherTypeNotList
     */
    public void setIrregularOtherTypeNotList(List<Integer> irregularOtherTypeNotList){
        this.irregularOtherTypeNotList = irregularOtherTypeNotList;
    }


    /**
     * 获取 开始 发生时间
     * @return happenTimeStart
     */
    public String getHappenTimeStart(){
        return this.happenTimeStart;
    }

    /**
     * 设置 开始 发生时间
     * @param happenTimeStart
     */
    public void setHappenTimeStart(String happenTimeStart){
        this.happenTimeStart = happenTimeStart;
    }

    /**
     * 获取 结束 发生时间
     * @return happenTimeEnd
     */
    public String getHappenTimeEnd(){
        return this.happenTimeEnd;
    }

    /**
     * 设置 结束 发生时间
     * @param happenTimeEnd
     */
    public void setHappenTimeEnd(String happenTimeEnd){
        this.happenTimeEnd = happenTimeEnd;
    }

    /**
     * 获取 开始 持续时间，秒
     * @return durationStart
     */
    public Integer getDurationStart(){
        return this.durationStart;
    }

    /**
     * 设置 开始 持续时间，秒
     * @param durationStart
     */
    public void setDurationStart(Integer durationStart){
        this.durationStart = durationStart;
    }

    /**
     * 获取 结束 持续时间，秒
     * @return $durationEnd
     */
    public Integer getDurationEnd(){
        return this.durationEnd;
    }

    /**
     * 设置 结束 持续时间，秒
     * @param durationEnd
     */
    public void setDurationEnd(Integer durationEnd){
        this.durationEnd = durationEnd;
    }

    /**
     * 获取 增加 持续时间，秒
     * @return durationIncrement
     */
    public Integer getDurationIncrement(){
        return this.durationIncrement;
    }

    /**
     * 设置 增加 持续时间，秒
     * @param durationIncrement
     */
    public void setDurationIncrement(Integer durationIncrement){
        this.durationIncrement = durationIncrement;
    }

    /**
     * 获取 持续时间，秒
     * @return durationList
     */
    public List<Integer> getDurationList(){
        return this.durationList;
    }

    /**
     * 设置 持续时间，秒
     * @param durationList
     */
    public void setDurationList(List<Integer> durationList){
        this.durationList = durationList;
    }

    /**
     * 获取 持续时间，秒
     * @return durationNotList
     */
    public List<Integer> getDurationNotList(){
        return this.durationNotList;
    }

    /**
     * 设置 持续时间，秒
     * @param durationNotList
     */
    public void setDurationNotList(List<Integer> durationNotList){
        this.durationNotList = durationNotList;
    }


    /**
     * 获取 开始 绩效规则id
     * @return ruleIdStart
     */
    public Long getRuleIdStart(){
        return this.ruleIdStart;
    }

    /**
     * 设置 开始 绩效规则id
     * @param ruleIdStart
     */
    public void setRuleIdStart(Long ruleIdStart){
        this.ruleIdStart = ruleIdStart;
    }

    /**
     * 获取 结束 绩效规则id
     * @return $ruleIdEnd
     */
    public Long getRuleIdEnd(){
        return this.ruleIdEnd;
    }

    /**
     * 设置 结束 绩效规则id
     * @param ruleIdEnd
     */
    public void setRuleIdEnd(Long ruleIdEnd){
        this.ruleIdEnd = ruleIdEnd;
    }

    /**
     * 获取 增加 绩效规则id
     * @return ruleIdIncrement
     */
    public Long getRuleIdIncrement(){
        return this.ruleIdIncrement;
    }

    /**
     * 设置 增加 绩效规则id
     * @param ruleIdIncrement
     */
    public void setRuleIdIncrement(Long ruleIdIncrement){
        this.ruleIdIncrement = ruleIdIncrement;
    }

    /**
     * 获取 绩效规则id
     * @return ruleIdList
     */
    public List<Long> getRuleIdList(){
        return this.ruleIdList;
    }

    /**
     * 设置 绩效规则id
     * @param ruleIdList
     */
    public void setRuleIdList(List<Long> ruleIdList){
        this.ruleIdList = ruleIdList;
    }

    /**
     * 获取 绩效规则id
     * @return ruleIdNotList
     */
    public List<Long> getRuleIdNotList(){
        return this.ruleIdNotList;
    }

    /**
     * 设置 绩效规则id
     * @param ruleIdNotList
     */
    public void setRuleIdNotList(List<Long> ruleIdNotList){
        this.ruleIdNotList = ruleIdNotList;
    }


    /**
     * 获取 规则名称
     * @return ruleNameList
     */
    public List<String> getRuleNameList(){
        return this.ruleNameList;
    }

    /**
     * 设置 规则名称
     * @param ruleNameList
     */
    public void setRuleNameList(List<String> ruleNameList){
        this.ruleNameList = ruleNameList;
    }

    /**
     * 获取 规则名称
     * @return ruleNameNotList
     */
    public List<String> getRuleNameNotList(){
        return this.ruleNameNotList;
    }

    /**
     * 设置 规则名称
     * @param ruleNameNotList
     */
    public void setRuleNameNotList(List<String> ruleNameNotList){
        this.ruleNameNotList = ruleNameNotList;
    }

    /**
     * 获取 评分标准
     * @return ruleDescList
     */
    public List<String> getRuleDescList(){
        return this.ruleDescList;
    }

    /**
     * 设置 评分标准
     * @param ruleDescList
     */
    public void setRuleDescList(List<String> ruleDescList){
        this.ruleDescList = ruleDescList;
    }

    /**
     * 获取 评分标准
     * @return ruleDescNotList
     */
    public List<String> getRuleDescNotList(){
        return this.ruleDescNotList;
    }

    /**
     * 设置 评分标准
     * @param ruleDescNotList
     */
    public void setRuleDescNotList(List<String> ruleDescNotList){
        this.ruleDescNotList = ruleDescNotList;
    }

    /**
     * 获取 开始 扣分方式(1.系统自动,2.人工添加)
     * @return subMethodStart
     */
    public Integer getSubMethodStart(){
        return this.subMethodStart;
    }

    /**
     * 设置 开始 扣分方式(1.系统自动,2.人工添加)
     * @param subMethodStart
     */
    public void setSubMethodStart(Integer subMethodStart){
        this.subMethodStart = subMethodStart;
    }

    /**
     * 获取 结束 扣分方式(1.系统自动,2.人工添加)
     * @return $subMethodEnd
     */
    public Integer getSubMethodEnd(){
        return this.subMethodEnd;
    }

    /**
     * 设置 结束 扣分方式(1.系统自动,2.人工添加)
     * @param subMethodEnd
     */
    public void setSubMethodEnd(Integer subMethodEnd){
        this.subMethodEnd = subMethodEnd;
    }

    /**
     * 获取 增加 扣分方式(1.系统自动,2.人工添加)
     * @return subMethodIncrement
     */
    public Integer getSubMethodIncrement(){
        return this.subMethodIncrement;
    }

    /**
     * 设置 增加 扣分方式(1.系统自动,2.人工添加)
     * @param subMethodIncrement
     */
    public void setSubMethodIncrement(Integer subMethodIncrement){
        this.subMethodIncrement = subMethodIncrement;
    }

    /**
     * 获取 扣分方式(1.系统自动,2.人工添加)
     * @return subMethodList
     */
    public List<Integer> getSubMethodList(){
        return this.subMethodList;
    }

    /**
     * 设置 扣分方式(1.系统自动,2.人工添加)
     * @param subMethodList
     */
    public void setSubMethodList(List<Integer> subMethodList){
        this.subMethodList = subMethodList;
    }

    /**
     * 获取 扣分方式(1.系统自动,2.人工添加)
     * @return subMethodNotList
     */
    public List<Integer> getSubMethodNotList(){
        return this.subMethodNotList;
    }

    /**
     * 设置 扣分方式(1.系统自动,2.人工添加)
     * @param subMethodNotList
     */
    public void setSubMethodNotList(List<Integer> subMethodNotList){
        this.subMethodNotList = subMethodNotList;
    }


    /**
     * 获取 扣分人员
     * @return deductPersonList
     */
    public List<String> getDeductPersonList(){
        return this.deductPersonList;
    }

    /**
     * 设置 扣分人员
     * @param deductPersonList
     */
    public void setDeductPersonList(List<String> deductPersonList){
        this.deductPersonList = deductPersonList;
    }

    /**
     * 获取 扣分人员
     * @return deductPersonNotList
     */
    public List<String> getDeductPersonNotList(){
        return this.deductPersonNotList;
    }

    /**
     * 设置 扣分人员
     * @param deductPersonNotList
     */
    public void setDeductPersonNotList(List<String> deductPersonNotList){
        this.deductPersonNotList = deductPersonNotList;
    }

    /**
     * 获取 开始 扣分时间
     * @return deductTimeStart
     */
    public String getDeductTimeStart(){
        return this.deductTimeStart;
    }

    /**
     * 设置 开始 扣分时间
     * @param deductTimeStart
     */
    public void setDeductTimeStart(String deductTimeStart){
        this.deductTimeStart = deductTimeStart;
    }

    /**
     * 获取 结束 扣分时间
     * @return deductTimeEnd
     */
    public String getDeductTimeEnd(){
        return this.deductTimeEnd;
    }

    /**
     * 设置 结束 扣分时间
     * @param deductTimeEnd
     */
    public void setDeductTimeEnd(String deductTimeEnd){
        this.deductTimeEnd = deductTimeEnd;
    }

    /**
     * 获取 开始 扣分或增加分值
     * @return scoreStart
     */
    public BigDecimal getScoreStart(){
        return this.scoreStart;
    }

    /**
     * 设置 开始 扣分或增加分值
     * @param scoreStart
     */
    public void setScoreStart(BigDecimal scoreStart){
        this.scoreStart = scoreStart;
    }

    /**
     * 获取 结束 扣分或增加分值
     * @return $scoreEnd
     */
    public BigDecimal getScoreEnd(){
        return this.scoreEnd;
    }

    /**
     * 设置 结束 扣分或增加分值
     * @param scoreEnd
     */
    public void setScoreEnd(BigDecimal scoreEnd){
        this.scoreEnd = scoreEnd;
    }

    /**
     * 获取 增加 扣分或增加分值
     * @return scoreIncrement
     */
    public BigDecimal getScoreIncrement(){
        return this.scoreIncrement;
    }

    /**
     * 设置 增加 扣分或增加分值
     * @param scoreIncrement
     */
    public void setScoreIncrement(BigDecimal scoreIncrement){
        this.scoreIncrement = scoreIncrement;
    }

    /**
     * 获取 扣分或增加分值
     * @return scoreList
     */
    public List<BigDecimal> getScoreList(){
        return this.scoreList;
    }

    /**
     * 设置 扣分或增加分值
     * @param scoreList
     */
    public void setScoreList(List<BigDecimal> scoreList){
        this.scoreList = scoreList;
    }

    /**
     * 获取 扣分或增加分值
     * @return scoreNotList
     */
    public List<BigDecimal> getScoreNotList(){
        return this.scoreNotList;
    }

    /**
     * 设置 扣分或增加分值
     * @param scoreNotList
     */
    public void setScoreNotList(List<BigDecimal> scoreNotList){
        this.scoreNotList = scoreNotList;
    }


    /**
     * 获取 核查人员
     * @return checkPersonList
     */
    public List<String> getCheckPersonList(){
        return this.checkPersonList;
    }

    /**
     * 设置 核查人员
     * @param checkPersonList
     */
    public void setCheckPersonList(List<String> checkPersonList){
        this.checkPersonList = checkPersonList;
    }

    /**
     * 获取 核查人员
     * @return checkPersonNotList
     */
    public List<String> getCheckPersonNotList(){
        return this.checkPersonNotList;
    }

    /**
     * 设置 核查人员
     * @param checkPersonNotList
     */
    public void setCheckPersonNotList(List<String> checkPersonNotList){
        this.checkPersonNotList = checkPersonNotList;
    }

    /**
     * 获取 开始 核查时间
     * @return checkTimeStart
     */
    public String getCheckTimeStart(){
        return this.checkTimeStart;
    }

    /**
     * 设置 开始 核查时间
     * @param checkTimeStart
     */
    public void setCheckTimeStart(String checkTimeStart){
        this.checkTimeStart = checkTimeStart;
    }

    /**
     * 获取 结束 核查时间
     * @return checkTimeEnd
     */
    public String getCheckTimeEnd(){
        return this.checkTimeEnd;
    }

    /**
     * 设置 结束 核查时间
     * @param checkTimeEnd
     */
    public void setCheckTimeEnd(String checkTimeEnd){
        this.checkTimeEnd = checkTimeEnd;
    }

    /**
     * 获取 核查说明
     * @return checkDescList
     */
    public List<String> getCheckDescList(){
        return this.checkDescList;
    }

    /**
     * 设置 核查说明
     * @param checkDescList
     */
    public void setCheckDescList(List<String> checkDescList){
        this.checkDescList = checkDescList;
    }

    /**
     * 获取 核查说明
     * @return checkDescNotList
     */
    public List<String> getCheckDescNotList(){
        return this.checkDescNotList;
    }

    /**
     * 设置 核查说明
     * @param checkDescNotList
     */
    public void setCheckDescNotList(List<String> checkDescNotList){
        this.checkDescNotList = checkDescNotList;
    }

    /**
     * 获取 核查结果
     * @return checkResultList
     */
    public List<String> getCheckResultList(){
        return this.checkResultList;
    }

    /**
     * 设置 核查结果
     * @param checkResultList
     */
    public void setCheckResultList(List<String> checkResultList){
        this.checkResultList = checkResultList;
    }

    /**
     * 获取 核查结果
     * @return checkResultNotList
     */
    public List<String> getCheckResultNotList(){
        return this.checkResultNotList;
    }

    /**
     * 设置 核查结果
     * @param checkResultNotList
     */
    public void setCheckResultNotList(List<String> checkResultNotList){
        this.checkResultNotList = checkResultNotList;
    }

    /**
     * 获取 开始 处理状态(1.未处理,2.已处理)
     * @return checkStatusStart
     */
    public Integer getCheckStatusStart(){
        return this.checkStatusStart;
    }

    /**
     * 设置 开始 处理状态(1.未处理,2.已处理)
     * @param checkStatusStart
     */
    public void setCheckStatusStart(Integer checkStatusStart){
        this.checkStatusStart = checkStatusStart;
    }

    /**
     * 获取 结束 处理状态(1.未处理,2.已处理)
     * @return $checkStatusEnd
     */
    public Integer getCheckStatusEnd(){
        return this.checkStatusEnd;
    }

    /**
     * 设置 结束 处理状态(1.未处理,2.已处理)
     * @param checkStatusEnd
     */
    public void setCheckStatusEnd(Integer checkStatusEnd){
        this.checkStatusEnd = checkStatusEnd;
    }

    /**
     * 获取 增加 处理状态(1.未处理,2.已处理)
     * @return checkStatusIncrement
     */
    public Integer getCheckStatusIncrement(){
        return this.checkStatusIncrement;
    }

    /**
     * 设置 增加 处理状态(1.未处理,2.已处理)
     * @param checkStatusIncrement
     */
    public void setCheckStatusIncrement(Integer checkStatusIncrement){
        this.checkStatusIncrement = checkStatusIncrement;
    }

    /**
     * 获取 处理状态(1.未处理,2.已处理)
     * @return checkStatusList
     */
    public List<Integer> getCheckStatusList(){
        return this.checkStatusList;
    }

    /**
     * 设置 处理状态(1.未处理,2.已处理)
     * @param checkStatusList
     */
    public void setCheckStatusList(List<Integer> checkStatusList){
        this.checkStatusList = checkStatusList;
    }

    /**
     * 获取 处理状态(1.未处理,2.已处理)
     * @return checkStatusNotList
     */
    public List<Integer> getCheckStatusNotList(){
        return this.checkStatusNotList;
    }

    /**
     * 设置 处理状态(1.未处理,2.已处理)
     * @param checkStatusNotList
     */
    public void setCheckStatusNotList(List<Integer> checkStatusNotList){
        this.checkStatusNotList = checkStatusNotList;
    }


    /**
     * 获取 备注
     * @return remarkList
     */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
     * 获取 备注
     * @return remarkNotList
     */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
     * 设置 备注
     * @param remarkNotList
     */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 附件名称，多个逗号分割
     * @return fileNamesList
     */
    public List<String> getFileNamesList(){
        return this.fileNamesList;
    }

    /**
     * 设置 附件名称，多个逗号分割
     * @param fileNamesList
     */
    public void setFileNamesList(List<String> fileNamesList){
        this.fileNamesList = fileNamesList;
    }

    /**
     * 获取 附件名称，多个逗号分割
     * @return fileNamesNotList
     */
    public List<String> getFileNamesNotList(){
        return this.fileNamesNotList;
    }

    /**
     * 设置 附件名称，多个逗号分割
     * @param fileNamesNotList
     */
    public void setFileNamesNotList(List<String> fileNamesNotList){
        this.fileNamesNotList = fileNamesNotList;
    }

    /**
     * 获取 附件下载地址，多个逗号分割
     * @return filePathsList
     */
    public List<String> getFilePathsList(){
        return this.filePathsList;
    }

    /**
     * 设置 附件下载地址，多个逗号分割
     * @param filePathsList
     */
    public void setFilePathsList(List<String> filePathsList){
        this.filePathsList = filePathsList;
    }

    /**
     * 获取 附件下载地址，多个逗号分割
     * @return filePathsNotList
     */
    public List<String> getFilePathsNotList(){
        return this.filePathsNotList;
    }

    /**
     * 设置 附件下载地址，多个逗号分割
     * @param filePathsNotList
     */
    public void setFilePathsNotList(List<String> filePathsNotList){
        this.filePathsNotList = filePathsNotList;
    }

    /**
     * 获取 开始 绩效规则分类id
     * @return categoryIdStart
     */
    public Long getCategoryIdStart(){
        return this.categoryIdStart;
    }

    /**
     * 设置 开始 绩效规则分类id
     * @param categoryIdStart
     */
    public void setCategoryIdStart(Long categoryIdStart){
        this.categoryIdStart = categoryIdStart;
    }

    /**
     * 获取 结束 绩效规则分类id
     * @return $categoryIdEnd
     */
    public Long getCategoryIdEnd(){
        return this.categoryIdEnd;
    }

    /**
     * 设置 结束 绩效规则分类id
     * @param categoryIdEnd
     */
    public void setCategoryIdEnd(Long categoryIdEnd){
        this.categoryIdEnd = categoryIdEnd;
    }

    /**
     * 获取 增加 绩效规则分类id
     * @return categoryIdIncrement
     */
    public Long getCategoryIdIncrement(){
        return this.categoryIdIncrement;
    }

    /**
     * 设置 增加 绩效规则分类id
     * @param categoryIdIncrement
     */
    public void setCategoryIdIncrement(Long categoryIdIncrement){
        this.categoryIdIncrement = categoryIdIncrement;
    }

    /**
     * 获取 绩效规则分类id
     * @return categoryIdList
     */
    public List<Long> getCategoryIdList(){
        return this.categoryIdList;
    }

    /**
     * 设置 绩效规则分类id
     * @param categoryIdList
     */
    public void setCategoryIdList(List<Long> categoryIdList){
        this.categoryIdList = categoryIdList;
    }

    /**
     * 获取 绩效规则分类id
     * @return categoryIdNotList
     */
    public List<Long> getCategoryIdNotList(){
        return this.categoryIdNotList;
    }

    /**
     * 设置 绩效规则分类id
     * @param categoryIdNotList
     */
    public void setCategoryIdNotList(List<Long> categoryIdNotList){
        this.categoryIdNotList = categoryIdNotList;
    }


    /**
     * 获取 规则名称
     * @return categoryNameList
     */
    public List<String> getCategoryNameList(){
        return this.categoryNameList;
    }

    /**
     * 设置 规则名称
     * @param categoryNameList
     */
    public void setCategoryNameList(List<String> categoryNameList){
        this.categoryNameList = categoryNameList;
    }

    /**
     * 获取 规则名称
     * @return categoryNameNotList
     */
    public List<String> getCategoryNameNotList(){
        return this.categoryNameNotList;
    }

    /**
     * 设置 规则名称
     * @param categoryNameNotList
     */
    public void setCategoryNameNotList(List<String> categoryNameNotList){
        this.categoryNameNotList = categoryNameNotList;
    }

    /**
     * 获取 开始 增减类型(1.增加,2.扣除)
     * @return subAddTypeStart
     */
    public Integer getSubAddTypeStart(){
        return this.subAddTypeStart;
    }

    /**
     * 设置 开始 增减类型(1.增加,2.扣除)
     * @param subAddTypeStart
     */
    public void setSubAddTypeStart(Integer subAddTypeStart){
        this.subAddTypeStart = subAddTypeStart;
    }

    /**
     * 获取 结束 增减类型(1.增加,2.扣除)
     * @return $subAddTypeEnd
     */
    public Integer getSubAddTypeEnd(){
        return this.subAddTypeEnd;
    }

    /**
     * 设置 结束 增减类型(1.增加,2.扣除)
     * @param subAddTypeEnd
     */
    public void setSubAddTypeEnd(Integer subAddTypeEnd){
        this.subAddTypeEnd = subAddTypeEnd;
    }

    /**
     * 获取 增加 增减类型(1.增加,2.扣除)
     * @return subAddTypeIncrement
     */
    public Integer getSubAddTypeIncrement(){
        return this.subAddTypeIncrement;
    }

    /**
     * 设置 增加 增减类型(1.增加,2.扣除)
     * @param subAddTypeIncrement
     */
    public void setSubAddTypeIncrement(Integer subAddTypeIncrement){
        this.subAddTypeIncrement = subAddTypeIncrement;
    }

    /**
     * 获取 增减类型(1.增加,2.扣除)
     * @return subAddTypeList
     */
    public List<Integer> getSubAddTypeList(){
        return this.subAddTypeList;
    }

    /**
     * 设置 增减类型(1.增加,2.扣除)
     * @param subAddTypeList
     */
    public void setSubAddTypeList(List<Integer> subAddTypeList){
        this.subAddTypeList = subAddTypeList;
    }

    /**
     * 获取 增减类型(1.增加,2.扣除)
     * @return subAddTypeNotList
     */
    public List<Integer> getSubAddTypeNotList(){
        return this.subAddTypeNotList;
    }

    /**
     * 设置 增减类型(1.增加,2.扣除)
     * @param subAddTypeNotList
     */
    public void setSubAddTypeNotList(List<Integer> subAddTypeNotList){
        this.subAddTypeNotList = subAddTypeNotList;
    }


    /**
     * 获取 开始 审核状态(1.同意,2.不同意)
     * @return auditStatusStart
     */
    public Integer getAuditStatusStart(){
        return this.auditStatusStart;
    }

    /**
     * 设置 开始 审核状态(1.同意,2.不同意)
     * @param auditStatusStart
     */
    public void setAuditStatusStart(Integer auditStatusStart){
        this.auditStatusStart = auditStatusStart;
    }

    /**
     * 获取 结束 审核状态(1.同意,2.不同意)
     * @return $auditStatusEnd
     */
    public Integer getAuditStatusEnd(){
        return this.auditStatusEnd;
    }

    /**
     * 设置 结束 审核状态(1.同意,2.不同意)
     * @param auditStatusEnd
     */
    public void setAuditStatusEnd(Integer auditStatusEnd){
        this.auditStatusEnd = auditStatusEnd;
    }

    /**
     * 获取 增加 审核状态(1.同意,2.不同意)
     * @return auditStatusIncrement
     */
    public Integer getAuditStatusIncrement(){
        return this.auditStatusIncrement;
    }

    /**
     * 设置 增加 审核状态(1.同意,2.不同意)
     * @param auditStatusIncrement
     */
    public void setAuditStatusIncrement(Integer auditStatusIncrement){
        this.auditStatusIncrement = auditStatusIncrement;
    }

    /**
     * 获取 审核状态(1.同意,2.不同意)
     * @return auditStatusList
     */
    public List<Integer> getAuditStatusList(){
        return this.auditStatusList;
    }

    /**
     * 设置 审核状态(1.同意,2.不同意)
     * @param auditStatusList
     */
    public void setAuditStatusList(List<Integer> auditStatusList){
        this.auditStatusList = auditStatusList;
    }

    /**
     * 获取 审核状态(1.同意,2.不同意)
     * @return auditStatusNotList
     */
    public List<Integer> getAuditStatusNotList(){
        return this.auditStatusNotList;
    }

    /**
     * 设置 审核状态(1.同意,2.不同意)
     * @param auditStatusNotList
     */
    public void setAuditStatusNotList(List<Integer> auditStatusNotList){
        this.auditStatusNotList = auditStatusNotList;
    }


    /**
     * 设置  序号，主键，自增长
     * @param id
     */
    public CheckOtherRecordQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public CheckOtherRecordQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public CheckOtherRecordQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public CheckOtherRecordQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public CheckOtherRecordQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public CheckOtherRecordQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  记录ID
     * @param recordId
     */
    public CheckOtherRecordQuery recordId(Long recordId){
        setRecordId(recordId);
        return this;
    }

    /**
     * 设置 开始 记录ID
     * @param recordIdStart
     */
    public CheckOtherRecordQuery recordIdStart(Long recordIdStart){
        this.recordIdStart = recordIdStart;
        return this;
    }

    /**
     * 设置 结束 记录ID
     * @param recordIdEnd
     */
    public CheckOtherRecordQuery recordIdEnd(Long recordIdEnd){
        this.recordIdEnd = recordIdEnd;
        return this;
    }

    /**
     * 设置 增加 记录ID
     * @param recordIdIncrement
     */
    public CheckOtherRecordQuery recordIdIncrement(Long recordIdIncrement){
        this.recordIdIncrement = recordIdIncrement;
        return this;
    }

    /**
     * 设置 记录ID
     * @param recordIdList
     */
    public CheckOtherRecordQuery recordIdList(List<Long> recordIdList){
        this.recordIdList = recordIdList;
        return this;
    }

    /**
     * 设置 记录ID
     * @param recordIdNotList
     */
    public CheckOtherRecordQuery recordIdNotList(List<Long> recordIdNotList){
        this.recordIdNotList = recordIdNotList;
        return this;
    }

    /**
     * 设置  员工ID
     * @param staffId
     */
    public CheckOtherRecordQuery staffId(Long staffId){
        setStaffId(staffId);
        return this;
    }

    /**
     * 设置 开始 员工ID
     * @param staffIdStart
     */
    public CheckOtherRecordQuery staffIdStart(Long staffIdStart){
        this.staffIdStart = staffIdStart;
        return this;
    }

    /**
     * 设置 结束 员工ID
     * @param staffIdEnd
     */
    public CheckOtherRecordQuery staffIdEnd(Long staffIdEnd){
        this.staffIdEnd = staffIdEnd;
        return this;
    }

    /**
     * 设置 增加 员工ID
     * @param staffIdIncrement
     */
    public CheckOtherRecordQuery staffIdIncrement(Long staffIdIncrement){
        this.staffIdIncrement = staffIdIncrement;
        return this;
    }

    /**
     * 设置 员工ID
     * @param staffIdList
     */
    public CheckOtherRecordQuery staffIdList(List<Long> staffIdList){
        this.staffIdList = staffIdList;
        return this;
    }

    /**
     * 设置 员工ID
     * @param staffIdNotList
     */
    public CheckOtherRecordQuery staffIdNotList(List<Long> staffIdNotList){
        this.staffIdNotList = staffIdNotList;
        return this;
    }


    /**
     * 设置 员工姓名
     * @param staffName
     */
    public CheckOtherRecordQuery staffName(String staffName){
        setStaffName(staffName);
        return this;
    }

    /**
     * 设置 员工姓名
     * @param staffNameList
     */
    public CheckOtherRecordQuery staffNameList(List<String> staffNameList){
        this.staffNameList = staffNameList;
        return this;
    }


    /**
     * 设置 工号
     * @param workNum
     */
    public CheckOtherRecordQuery workNum(String workNum){
        setWorkNum(workNum);
        return this;
    }

    /**
     * 设置 工号
     * @param workNumList
     */
    public CheckOtherRecordQuery workNumList(List<String> workNumList){
        this.workNumList = workNumList;
        return this;
    }

    /**
     * 设置  所属部门
     * @param deptId
     */
    public CheckOtherRecordQuery deptId(Long deptId){
        setDeptId(deptId);
        return this;
    }

    /**
     * 设置 开始 所属部门
     * @param deptIdStart
     */
    public CheckOtherRecordQuery deptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
        return this;
    }

    /**
     * 设置 结束 所属部门
     * @param deptIdEnd
     */
    public CheckOtherRecordQuery deptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
        return this;
    }

    /**
     * 设置 增加 所属部门
     * @param deptIdIncrement
     */
    public CheckOtherRecordQuery deptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
        return this;
    }

    /**
     * 设置 所属部门
     * @param deptIdList
     */
    public CheckOtherRecordQuery deptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
        return this;
    }

    /**
     * 设置 所属部门
     * @param deptIdNotList
     */
    public CheckOtherRecordQuery deptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
        return this;
    }


    /**
     * 设置 所属部门名称
     * @param deptName
     */
    public CheckOtherRecordQuery deptName(String deptName){
        setDeptName(deptName);
        return this;
    }

    /**
     * 设置 所属部门名称
     * @param deptNameList
     */
    public CheckOtherRecordQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
        return this;
    }


    /**
     * 设置 窗口编号
     * @param windowNum
     */
    public CheckOtherRecordQuery windowNum(String windowNum){
        setWindowNum(windowNum);
        return this;
    }

    /**
     * 设置 窗口编号
     * @param windowNumList
     */
    public CheckOtherRecordQuery windowNumList(List<String> windowNumList){
        this.windowNumList = windowNumList;
        return this;
    }

    /**
     * 设置  违规类型(1.工作纪律)
     * @param irregularOtherType
     */
    public CheckOtherRecordQuery irregularOtherType(Integer irregularOtherType){
        setIrregularOtherType(irregularOtherType);
        return this;
    }

    /**
     * 设置 开始 违规类型(1.工作纪律)
     * @param irregularOtherTypeStart
     */
    public CheckOtherRecordQuery irregularOtherTypeStart(Integer irregularOtherTypeStart){
        this.irregularOtherTypeStart = irregularOtherTypeStart;
        return this;
    }

    /**
     * 设置 结束 违规类型(1.工作纪律)
     * @param irregularOtherTypeEnd
     */
    public CheckOtherRecordQuery irregularOtherTypeEnd(Integer irregularOtherTypeEnd){
        this.irregularOtherTypeEnd = irregularOtherTypeEnd;
        return this;
    }

    /**
     * 设置 增加 违规类型(1.工作纪律)
     * @param irregularOtherTypeIncrement
     */
    public CheckOtherRecordQuery irregularOtherTypeIncrement(Integer irregularOtherTypeIncrement){
        this.irregularOtherTypeIncrement = irregularOtherTypeIncrement;
        return this;
    }

    /**
     * 设置 违规类型(1.工作纪律)
     * @param irregularOtherTypeList
     */
    public CheckOtherRecordQuery irregularOtherTypeList(List<Integer> irregularOtherTypeList){
        this.irregularOtherTypeList = irregularOtherTypeList;
        return this;
    }

    /**
     * 设置 违规类型(1.工作纪律)
     * @param irregularOtherTypeNotList
     */
    public CheckOtherRecordQuery irregularOtherTypeNotList(List<Integer> irregularOtherTypeNotList){
        this.irregularOtherTypeNotList = irregularOtherTypeNotList;
        return this;
    }


    /**
     * 设置  持续时间，秒
     * @param duration
     */
    public CheckOtherRecordQuery duration(Integer duration){
        setDuration(duration);
        return this;
    }

    /**
     * 设置 开始 持续时间，秒
     * @param durationStart
     */
    public CheckOtherRecordQuery durationStart(Integer durationStart){
        this.durationStart = durationStart;
        return this;
    }

    /**
     * 设置 结束 持续时间，秒
     * @param durationEnd
     */
    public CheckOtherRecordQuery durationEnd(Integer durationEnd){
        this.durationEnd = durationEnd;
        return this;
    }

    /**
     * 设置 增加 持续时间，秒
     * @param durationIncrement
     */
    public CheckOtherRecordQuery durationIncrement(Integer durationIncrement){
        this.durationIncrement = durationIncrement;
        return this;
    }

    /**
     * 设置 持续时间，秒
     * @param durationList
     */
    public CheckOtherRecordQuery durationList(List<Integer> durationList){
        this.durationList = durationList;
        return this;
    }

    /**
     * 设置 持续时间，秒
     * @param durationNotList
     */
    public CheckOtherRecordQuery durationNotList(List<Integer> durationNotList){
        this.durationNotList = durationNotList;
        return this;
    }

    /**
     * 设置  绩效规则id
     * @param ruleId
     */
    public CheckOtherRecordQuery ruleId(Long ruleId){
        setRuleId(ruleId);
        return this;
    }

    /**
     * 设置 开始 绩效规则id
     * @param ruleIdStart
     */
    public CheckOtherRecordQuery ruleIdStart(Long ruleIdStart){
        this.ruleIdStart = ruleIdStart;
        return this;
    }

    /**
     * 设置 结束 绩效规则id
     * @param ruleIdEnd
     */
    public CheckOtherRecordQuery ruleIdEnd(Long ruleIdEnd){
        this.ruleIdEnd = ruleIdEnd;
        return this;
    }

    /**
     * 设置 增加 绩效规则id
     * @param ruleIdIncrement
     */
    public CheckOtherRecordQuery ruleIdIncrement(Long ruleIdIncrement){
        this.ruleIdIncrement = ruleIdIncrement;
        return this;
    }

    /**
     * 设置 绩效规则id
     * @param ruleIdList
     */
    public CheckOtherRecordQuery ruleIdList(List<Long> ruleIdList){
        this.ruleIdList = ruleIdList;
        return this;
    }

    /**
     * 设置 绩效规则id
     * @param ruleIdNotList
     */
    public CheckOtherRecordQuery ruleIdNotList(List<Long> ruleIdNotList){
        this.ruleIdNotList = ruleIdNotList;
        return this;
    }


    /**
     * 设置 规则名称
     * @param ruleName
     */
    public CheckOtherRecordQuery ruleName(String ruleName){
        setRuleName(ruleName);
        return this;
    }

    /**
     * 设置 规则名称
     * @param ruleNameList
     */
    public CheckOtherRecordQuery ruleNameList(List<String> ruleNameList){
        this.ruleNameList = ruleNameList;
        return this;
    }


    /**
     * 设置 评分标准
     * @param ruleDesc
     */
    public CheckOtherRecordQuery ruleDesc(String ruleDesc){
        setRuleDesc(ruleDesc);
        return this;
    }

    /**
     * 设置 评分标准
     * @param ruleDescList
     */
    public CheckOtherRecordQuery ruleDescList(List<String> ruleDescList){
        this.ruleDescList = ruleDescList;
        return this;
    }

    /**
     * 设置  扣分方式(1.系统自动,2.人工添加)
     * @param subMethod
     */
    public CheckOtherRecordQuery subMethod(Integer subMethod){
        setSubMethod(subMethod);
        return this;
    }

    /**
     * 设置 开始 扣分方式(1.系统自动,2.人工添加)
     * @param subMethodStart
     */
    public CheckOtherRecordQuery subMethodStart(Integer subMethodStart){
        this.subMethodStart = subMethodStart;
        return this;
    }

    /**
     * 设置 结束 扣分方式(1.系统自动,2.人工添加)
     * @param subMethodEnd
     */
    public CheckOtherRecordQuery subMethodEnd(Integer subMethodEnd){
        this.subMethodEnd = subMethodEnd;
        return this;
    }

    /**
     * 设置 增加 扣分方式(1.系统自动,2.人工添加)
     * @param subMethodIncrement
     */
    public CheckOtherRecordQuery subMethodIncrement(Integer subMethodIncrement){
        this.subMethodIncrement = subMethodIncrement;
        return this;
    }

    /**
     * 设置 扣分方式(1.系统自动,2.人工添加)
     * @param subMethodList
     */
    public CheckOtherRecordQuery subMethodList(List<Integer> subMethodList){
        this.subMethodList = subMethodList;
        return this;
    }

    /**
     * 设置 扣分方式(1.系统自动,2.人工添加)
     * @param subMethodNotList
     */
    public CheckOtherRecordQuery subMethodNotList(List<Integer> subMethodNotList){
        this.subMethodNotList = subMethodNotList;
        return this;
    }


    /**
     * 设置 扣分人员
     * @param deductPerson
     */
    public CheckOtherRecordQuery deductPerson(String deductPerson){
        setDeductPerson(deductPerson);
        return this;
    }

    /**
     * 设置 扣分人员
     * @param deductPersonList
     */
    public CheckOtherRecordQuery deductPersonList(List<String> deductPersonList){
        this.deductPersonList = deductPersonList;
        return this;
    }


    /**
     * 设置  扣分或增加分值
     * @param score
     */
    public CheckOtherRecordQuery score(BigDecimal score){
        setScore(score);
        return this;
    }

    /**
     * 设置 开始 扣分或增加分值
     * @param scoreStart
     */
    public CheckOtherRecordQuery scoreStart(BigDecimal scoreStart){
        this.scoreStart = scoreStart;
        return this;
    }

    /**
     * 设置 结束 扣分或增加分值
     * @param scoreEnd
     */
    public CheckOtherRecordQuery scoreEnd(BigDecimal scoreEnd){
        this.scoreEnd = scoreEnd;
        return this;
    }

    /**
     * 设置 增加 扣分或增加分值
     * @param scoreIncrement
     */
    public CheckOtherRecordQuery scoreIncrement(BigDecimal scoreIncrement){
        this.scoreIncrement = scoreIncrement;
        return this;
    }

    /**
     * 设置 扣分或增加分值
     * @param scoreList
     */
    public CheckOtherRecordQuery scoreList(List<BigDecimal> scoreList){
        this.scoreList = scoreList;
        return this;
    }

    /**
     * 设置 扣分或增加分值
     * @param scoreNotList
     */
    public CheckOtherRecordQuery scoreNotList(List<BigDecimal> scoreNotList){
        this.scoreNotList = scoreNotList;
        return this;
    }


    /**
     * 设置 核查人员
     * @param checkPerson
     */
    public CheckOtherRecordQuery checkPerson(String checkPerson){
        setCheckPerson(checkPerson);
        return this;
    }

    /**
     * 设置 核查人员
     * @param checkPersonList
     */
    public CheckOtherRecordQuery checkPersonList(List<String> checkPersonList){
        this.checkPersonList = checkPersonList;
        return this;
    }



    /**
     * 设置 核查说明
     * @param checkDesc
     */
    public CheckOtherRecordQuery checkDesc(String checkDesc){
        setCheckDesc(checkDesc);
        return this;
    }

    /**
     * 设置 核查说明
     * @param checkDescList
     */
    public CheckOtherRecordQuery checkDescList(List<String> checkDescList){
        this.checkDescList = checkDescList;
        return this;
    }


    /**
     * 设置 核查结果
     * @param checkResult
     */
    public CheckOtherRecordQuery checkResult(String checkResult){
        setCheckResult(checkResult);
        return this;
    }

    /**
     * 设置 核查结果
     * @param checkResultList
     */
    public CheckOtherRecordQuery checkResultList(List<String> checkResultList){
        this.checkResultList = checkResultList;
        return this;
    }

    /**
     * 设置  处理状态(1.未处理,2.已处理)
     * @param checkStatus
     */
    public CheckOtherRecordQuery checkStatus(Integer checkStatus){
        setCheckStatus(checkStatus);
        return this;
    }

    /**
     * 设置 开始 处理状态(1.未处理,2.已处理)
     * @param checkStatusStart
     */
    public CheckOtherRecordQuery checkStatusStart(Integer checkStatusStart){
        this.checkStatusStart = checkStatusStart;
        return this;
    }

    /**
     * 设置 结束 处理状态(1.未处理,2.已处理)
     * @param checkStatusEnd
     */
    public CheckOtherRecordQuery checkStatusEnd(Integer checkStatusEnd){
        this.checkStatusEnd = checkStatusEnd;
        return this;
    }

    /**
     * 设置 增加 处理状态(1.未处理,2.已处理)
     * @param checkStatusIncrement
     */
    public CheckOtherRecordQuery checkStatusIncrement(Integer checkStatusIncrement){
        this.checkStatusIncrement = checkStatusIncrement;
        return this;
    }

    /**
     * 设置 处理状态(1.未处理,2.已处理)
     * @param checkStatusList
     */
    public CheckOtherRecordQuery checkStatusList(List<Integer> checkStatusList){
        this.checkStatusList = checkStatusList;
        return this;
    }

    /**
     * 设置 处理状态(1.未处理,2.已处理)
     * @param checkStatusNotList
     */
    public CheckOtherRecordQuery checkStatusNotList(List<Integer> checkStatusNotList){
        this.checkStatusNotList = checkStatusNotList;
        return this;
    }


    /**
     * 设置 备注
     * @param remark
     */
    public CheckOtherRecordQuery remark(String remark){
        setRemark(remark);
        return this;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public CheckOtherRecordQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
        return this;
    }

    /**
     * 设置  创建用户
     * @param createUserId
     */
    public CheckOtherRecordQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public CheckOtherRecordQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public CheckOtherRecordQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public CheckOtherRecordQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public CheckOtherRecordQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public CheckOtherRecordQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }


    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public CheckOtherRecordQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public CheckOtherRecordQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public CheckOtherRecordQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public CheckOtherRecordQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public CheckOtherRecordQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public CheckOtherRecordQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }



    /**
     * 设置 附件名称，多个逗号分割
     * @param fileNames
     */
    public CheckOtherRecordQuery fileNames(String fileNames){
        setFileNames(fileNames);
        return this;
    }

    /**
     * 设置 附件名称，多个逗号分割
     * @param fileNamesList
     */
    public CheckOtherRecordQuery fileNamesList(List<String> fileNamesList){
        this.fileNamesList = fileNamesList;
        return this;
    }


    /**
     * 设置 附件下载地址，多个逗号分割
     * @param filePaths
     */
    public CheckOtherRecordQuery filePaths(String filePaths){
        setFilePaths(filePaths);
        return this;
    }

    /**
     * 设置 附件下载地址，多个逗号分割
     * @param filePathsList
     */
    public CheckOtherRecordQuery filePathsList(List<String> filePathsList){
        this.filePathsList = filePathsList;
        return this;
    }

    /**
     * 设置  绩效规则分类id
     * @param categoryId
     */
    public CheckOtherRecordQuery categoryId(Long categoryId){
        setCategoryId(categoryId);
        return this;
    }

    /**
     * 设置 开始 绩效规则分类id
     * @param categoryIdStart
     */
    public CheckOtherRecordQuery categoryIdStart(Long categoryIdStart){
        this.categoryIdStart = categoryIdStart;
        return this;
    }

    /**
     * 设置 结束 绩效规则分类id
     * @param categoryIdEnd
     */
    public CheckOtherRecordQuery categoryIdEnd(Long categoryIdEnd){
        this.categoryIdEnd = categoryIdEnd;
        return this;
    }

    /**
     * 设置 增加 绩效规则分类id
     * @param categoryIdIncrement
     */
    public CheckOtherRecordQuery categoryIdIncrement(Long categoryIdIncrement){
        this.categoryIdIncrement = categoryIdIncrement;
        return this;
    }

    /**
     * 设置 绩效规则分类id
     * @param categoryIdList
     */
    public CheckOtherRecordQuery categoryIdList(List<Long> categoryIdList){
        this.categoryIdList = categoryIdList;
        return this;
    }

    /**
     * 设置 绩效规则分类id
     * @param categoryIdNotList
     */
    public CheckOtherRecordQuery categoryIdNotList(List<Long> categoryIdNotList){
        this.categoryIdNotList = categoryIdNotList;
        return this;
    }


    /**
     * 设置 规则名称
     * @param categoryName
     */
    public CheckOtherRecordQuery categoryName(String categoryName){
        setCategoryName(categoryName);
        return this;
    }

    /**
     * 设置 规则名称
     * @param categoryNameList
     */
    public CheckOtherRecordQuery categoryNameList(List<String> categoryNameList){
        this.categoryNameList = categoryNameList;
        return this;
    }

    /**
     * 设置  增减类型(1.增加,2.扣除)
     * @param subAddType
     */
    public CheckOtherRecordQuery subAddType(Integer subAddType){
        setSubAddType(subAddType);
        return this;
    }

    /**
     * 设置 开始 增减类型(1.增加,2.扣除)
     * @param subAddTypeStart
     */
    public CheckOtherRecordQuery subAddTypeStart(Integer subAddTypeStart){
        this.subAddTypeStart = subAddTypeStart;
        return this;
    }

    /**
     * 设置 结束 增减类型(1.增加,2.扣除)
     * @param subAddTypeEnd
     */
    public CheckOtherRecordQuery subAddTypeEnd(Integer subAddTypeEnd){
        this.subAddTypeEnd = subAddTypeEnd;
        return this;
    }

    /**
     * 设置 增加 增减类型(1.增加,2.扣除)
     * @param subAddTypeIncrement
     */
    public CheckOtherRecordQuery subAddTypeIncrement(Integer subAddTypeIncrement){
        this.subAddTypeIncrement = subAddTypeIncrement;
        return this;
    }

    /**
     * 设置 增减类型(1.增加,2.扣除)
     * @param subAddTypeList
     */
    public CheckOtherRecordQuery subAddTypeList(List<Integer> subAddTypeList){
        this.subAddTypeList = subAddTypeList;
        return this;
    }

    /**
     * 设置 增减类型(1.增加,2.扣除)
     * @param subAddTypeNotList
     */
    public CheckOtherRecordQuery subAddTypeNotList(List<Integer> subAddTypeNotList){
        this.subAddTypeNotList = subAddTypeNotList;
        return this;
    }

    /**
     * 设置  审核状态(1.同意,2.不同意)
     * @param auditStatus
     */
    public CheckOtherRecordQuery auditStatus(Integer auditStatus){
        setAuditStatus(auditStatus);
        return this;
    }

    /**
     * 设置 开始 审核状态(1.同意,2.不同意)
     * @param auditStatusStart
     */
    public CheckOtherRecordQuery auditStatusStart(Integer auditStatusStart){
        this.auditStatusStart = auditStatusStart;
        return this;
    }

    /**
     * 设置 结束 审核状态(1.同意,2.不同意)
     * @param auditStatusEnd
     */
    public CheckOtherRecordQuery auditStatusEnd(Integer auditStatusEnd){
        this.auditStatusEnd = auditStatusEnd;
        return this;
    }

    /**
     * 设置 增加 审核状态(1.同意,2.不同意)
     * @param auditStatusIncrement
     */
    public CheckOtherRecordQuery auditStatusIncrement(Integer auditStatusIncrement){
        this.auditStatusIncrement = auditStatusIncrement;
        return this;
    }

    /**
     * 设置 审核状态(1.同意,2.不同意)
     * @param auditStatusList
     */
    public CheckOtherRecordQuery auditStatusList(List<Integer> auditStatusList){
        this.auditStatusList = auditStatusList;
        return this;
    }

    /**
     * 设置 审核状态(1.同意,2.不同意)
     * @param auditStatusNotList
     */
    public CheckOtherRecordQuery auditStatusNotList(List<Integer> auditStatusNotList){
        this.auditStatusNotList = auditStatusNotList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<CheckOtherRecordQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<CheckOtherRecordQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<CheckOtherRecordQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<CheckOtherRecordQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}